SoapySDR: SoapySDR::ArgInfo Class Reference

| SoapySDR 0.8.1-ARCH Vendor and platform neutral SDR interface library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
SoapySDR::ArgInfo Class Reference

`#include <Types.hpp>`

## Public Types
enum | Type { BOOL , INT , FLOAT , STRING }
| The data type of the argument (required). More...

## Public Member Functions
| ArgInfo (void)
| Default constructor.

## Public Attributes
std::string | key
| The key used to identify the argument (required).
std::string | value
std::string | name
| The displayable name of the argument (optional, use key if empty).
std::string | description
| A brief description about the argument (optional).
std::string | units
| The units of the argument: dB, Hz, etc (optional).
enum SoapySDR::ArgInfo::Type | type
Range | range
std::vector< std::string > | options
std::vector< std::string > | optionNames

## Detailed Description

Argument info describes a key/value argument.

## Member Enumeration Documentation

## ◆ Type

enum SoapySDR::ArgInfo::Type

The data type of the argument (required).

Enumerator
BOOL |
INT |
FLOAT |
STRING |

## Constructor & Destructor Documentation

## ◆ ArgInfo()

SoapySDR::ArgInfo::ArgInfo | ( | void |  | ) |

Default constructor.

## Member Data Documentation

## ◆ description

std::string SoapySDR::ArgInfo::description

A brief description about the argument (optional).

## ◆ key

std::string SoapySDR::ArgInfo::key

The key used to identify the argument (required).

## ◆ name

std::string SoapySDR::ArgInfo::name

The displayable name of the argument (optional, use key if empty).

## ◆ optionNames

std::vector<std::string> SoapySDR::ArgInfo::optionNames

A discrete list of displayable names for the enumerated options (optional) When not specified, the option value itself can be used as a display name.

## ◆ options

std::vector<std::string> SoapySDR::ArgInfo::options

A discrete list of possible values (optional) When specified, the argument should be restricted to this options set.

## ◆ range

Range SoapySDR::ArgInfo::range

The range of possible numeric values (optional) When specified, the argument should be restricted to this range. The range is only applicable to numeric argument types.

## ◆ type

enum SoapySDR::ArgInfo::Type SoapySDR::ArgInfo::type

## ◆ units

std::string SoapySDR::ArgInfo::units

The units of the argument: dB, Hz, etc (optional).

## ◆ value

std::string SoapySDR::ArgInfo::value

The default value of the argument when not specified (required) Numbers should use standard floating point and integer formats. Boolean values should be represented as "true" and "false".

The documentation for this class was generated from the following file:

- Types.hpp